=== debian/changelog ===
segyio (1.6.0-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 12:37:29 +0000

segyio (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * Add two new symbols to d/libsegyio1.symbols
  * Remove X-Python-3-version field in d/control

 -- Jørgen Kvalsvik <jokva@statoil.com>  Thu, 07 Jun 2018 15:31:57 +0200
