=== debian/rules ===
#!/usr/bin/make -f

DEB_MAINT_BUILD_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_SYSTEM=cmake
export SEGYIO_NO_GIT_VER=1

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_configure:
	dh_auto_configure -- --configure-args="-DBUILD_SHARED_LIBS=ON -DPYTHON_INSTALL_LAYOUT=deb"

override_dh_python3:
	dh_python3 --requires=requirements.txt

override_dh_missing:
	dh_missing --list-missing
