## segyio 1.7.1

=== applications/CMakeLists.txt ===
--- 
+++ 
@@ -63,7 +63,8 @@
 
 set(small ${testdata}/small.sgy)
 set(test ${CMAKE_CURRENT_SOURCE_DIR}/test)
-add_test(NAME catr.arg.t        COMMAND segyio-catr -t 5 ${small})
+add_test(NAME catr.arg.t1       COMMAND segyio-catr -t 0 ${small})
+add_test(NAME catr.arg.t2       COMMAND segyio-catr -t 5 ${small})
 add_test(NAME catr.arg.r1       COMMAND segyio-catr -r 5 ${small})
 add_test(NAME catr.arg.r2       COMMAND segyio-catr -r 1 2 ${small})
 add_test(NAME catr.arg.r3       COMMAND segyio-catr -r 1 2 3 ${small} -r 5 6)
@@ -81,7 +82,8 @@
 add_test(NAME cath.fail.nofile  COMMAND segyio-cath --strict not-exist)
 add_test(NAME cath.fail.noarg   COMMAND segyio-cath)
 
-set_tests_properties(catb.fail.nosegy
+set_tests_properties(catr.arg.t1
+                     catb.fail.nosegy
                      catb.fail.nofile
                      catb.fail.noarg
                      cath.fail.nosegy
@@ -105,8 +107,10 @@
             test/cath.output
             test/catr.output
     COMMAND segyio-catb ${small} > catb.out
+    COMMAND segyio-catb ${small} -n -d > catbnd.out
     COMMAND segyio-cath ${small} > cath.out
     COMMAND segyio-catr -r 4 9 -t 12 ${small} > catr.out
+    COMMAND segyio-catr -t 1 ${small} -n -d > catrnd.out
 )
 add_custom_command(
     OUTPUT crop-ns.out crop-ns.sgy
@@ -120,13 +124,20 @@
 add_test(NAME catb.output
          COMMAND ${CMAKE_COMMAND} -E compare_files ${test}/catb.output catb.out
 )
+add_test(NAME catb.output.nd
+         COMMAND ${CMAKE_COMMAND} -E compare_files ${test}/catbnd.output
+                                                   catbnd.out
+)
 add_test(NAME cath.output
          COMMAND ${CMAKE_COMMAND} -E compare_files ${test}/cath.output cath.out
 )
 add_test(NAME catr.output
          COMMAND ${CMAKE_COMMAND} -E compare_files ${test}/catr.output catr.out
 )
-
+add_test(NAME catr.output.nd
+         COMMAND ${CMAKE_COMMAND} -E compare_files ${test}/catrnd.output
+                                                   catrnd.out
+)
 add_test(NAME crop.samplecount
          COMMAND ${CMAKE_COMMAND} -E compare_files ${test}/crop-ns.output
                                                    crop-ns.out
