=== debian/changelog ===
segyio (1.7.1-2) unstable; urgency=medium

  * New packaging release
  * Updated d/rules to use only one dh invocation
  * Add d/clean to remove python .egg-info files
  * Add Build-Depends-Package field to libsegyio1.symbols

 -- Jørgen Kvalsvik <jokva@equinor.com>  Thu, 25 Oct 2018 18:47:34 +0200

segyio (1.7.1-1) unstable; urgency=medium

  * New upstream release
  * Uploader-email update to new Equinor address

 -- Jørgen Kvalsvik <jokva@equinor.com>  Mon, 15 Oct 2018 21:26:11 +0200

segyio (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Upgrade to Standards-Version 4.2.1
  * Add boost licence information to d/copyright for external/catch2

 -- Jørgen Kvalsvik <jokva@statoil.com>  Wed, 26 Sep 2018 15:23:14 +0200
