## segyio 1.8.1

=== debian/changelog ===
segyio (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Ignore python_files from setup.cfg (Closes: #916342)

 -- Jørgen Kvalsvik <jokva@equinor.com>  Wed, 19 Dec 2018 13:28:54 +0100
