## segyio 1.8.2

=== debian/changelog ===
segyio (1.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Jørgen Kvalsvik <jokva@equinor.com>  Thu, 20 Dec 2018 13:02:32 +0100
