=== python/CMakeLists.txt ===
--- 
+++ 
@@ -161,7 +161,7 @@
     return()
 endif()
 
-file(GLOB sgys "${testdata}/*.sgy")
+file(GLOB sgys ${testdata}/*.sgy ${testdata}/*.su)
 foreach (sgy ${sgys})
     get_filename_component(fl ${sgy} NAME)
     configure_file(${sgy} test-data/${fl} COPYONLY)
