=== debian/changelog ===
segyio (1.8.3-1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:25:43 +0100

segyio (1.8.3-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:44:05 +0000

segyio (1.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Jørgen Kvalsvik <jokva@equinor.com>  Sun, 23 Dec 2018 13:17:03 +0100
