=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 		--build-args="build_ext --library-dirs $(DTMPLIB)"
 	dh_auto_install --buildsystem=pybuild
 	LD_LIBRARY_PATH=$(DTMPLIB):$(LD_LIBRARY_PATH) \
-		dh_auto_test --buildsystem=pybuild -- --test-args=test/*
+		dh_auto_test --buildsystem=pybuild -- --test-args="-o python_files=test/*"
 
 override_dh_python3:
 	dh_python3 --requires=requirements.txt
