=== debian/watch ===
version=4
https://github.com/statoil/segyio/releases \
.*/segyio-@ANY_VERSION@@ARCHIVE_EXT@
